package com.sd.business.controller.purchase;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.purchase.dto.PurchaseInTransitBomSelectDto;
import com.sd.business.entity.purchase.vo.PurchaseInTransitBomVo;
import com.sd.business.service.purchase.PurchaseBomService;
import com.sd.framework.util.excel.util.ExcelUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 在途物料
 */
@RestController
@RequestMapping("/purchaseInTransitBom")
public class PurchaseInTransitBomController {
    @Autowired
    private PurchaseBomService purchaseBomService;


    /**
     * 在途物料列表
     * @param dto
     * @return
     */
    @PostMapping("/page")
    public Page<PurchaseInTransitBomVo> page(@RequestBody PurchaseInTransitBomSelectDto dto) {
        return purchaseBomService.getPurchaseInTransitBomPage(dto);
    }


    @PostMapping("/export")
    public void export(HttpServletResponse response, @RequestBody PurchaseInTransitBomSelectDto dto)
    {
        dto.setPageNum(1);
        dto.setPageSize(9999999);
        Page<PurchaseInTransitBomVo> page = purchaseBomService.getPurchaseInTransitBomPage(dto);
        List<PurchaseInTransitBomVo> list = page.getRecords();
        ExcelUtil.export(response,"在途物料", "在途物料数据", list, PurchaseInTransitBomVo.class);
    }

}
