package com.sd.business.controller.supplier;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.supplier.dto.SupplierDto;
import com.sd.business.entity.supplier.dto.SupplierSelectDto;
import com.sd.business.entity.supplier.vo.SupplierVo;
import com.sd.business.service.supplier.SupplierService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 供应商 前端控制器
 * </p>
 *
 * @author
 * @since 2023-07-01
 */
@RestController
@RequestMapping("/supplier")
public class SupplierController {

    @Autowired
    private SupplierService supplierService;

    /**
     * 供应商分页
     */
    @PostMapping("/page")
    public Page<SupplierVo> page(@RequestBody SupplierSelectDto dto) {
        return supplierService.getPage(dto);
    }

    /**
     * 供应商明细
     */
    @PostMapping("/detail")
    public SupplierVo detail(@RequestBody BaseSelectDto dto) {
        return supplierService.detail(dto.getId());
    }

    /**
     * 供应商新增
     */
    @PostMapping("/add")
    public void add(@RequestBody SupplierDto supplierDto) {
        supplierService.add(supplierDto);
    }

    /**
     * 供应商编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody SupplierDto supplierDto) {
        supplierService.edit(supplierDto);
    }

    /**
     * 供应商删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        supplierService.delete(dto.getId());
    }

}
