package com.sd.business.entity.apply.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * <p>
 * 申购单
 * </p>
 *
 * @author
 * @since 2023-06-30
 */
@Getter
@Setter
@TableName("apply_buy")
public class ApplyBuy extends BasePo {

    /**
     * 申购单号
     */
    private String code;

    /**
     * 申购人
     */
    @NotBlank(message = "申购人不能为空")
    private String applyName;

    /**
     * 申购时间
     */
    @NotNull(message = "申购时间不能为空")
    private Date applyTime;

    /**
     * 申购说明
     */
    private String remark;

    /**
     * 流程id
     */
    private Long flowId;

    /**
     * 流程状态 0未发起 1进行中 2已通过 3已驳回 4已作废 10已采购
     */
    private Integer flowStatus;

    private String oldId;

}
