package com.sd.business.entity.apply.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.DecimalMin;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * <p>
 * 申购单bom
 * </p>
 *
 * @author
 * @since 2023-06-30
 */
@Getter
@Setter
@TableName("apply_buy_bom")
public class ApplyBuyBom extends BasePo {

    /**
     * 申购单id
     */
    private Long applyBuyId;

    /**
     * bom规格id
     */
    @NotNull(message = "bom规格Id不能为空")
    private Long bomSpecId;

    /**
     * 申购数量
     */
    @NotNull(message = "申购数量不能为空")
    @DecimalMin(value = "0.01", message = "申购数量不能为空")
    private BigDecimal quantity;

    /**
     * 采购数量
     */
    private BigDecimal purchaseQuantity;

    /**
     * 冻结数量
     */
    private BigDecimal frozenQuantity;

    private String oldId;

}
