package com.sd.business.entity.artwork.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * 图稿库
 * </p>
 *
 * @author
 * @since 2023-08-02
 */
@Getter
@Setter
@TableName("artwork_library")
public class ArtworkLibrary extends BasePo {

    /**
     * 部门id
     */
    @NotNull(message = "部门id不能为空")
    private String departmentId;

    /**
     * 图稿名称
     */
    @NotBlank(message = "图稿名称不能为空")
    private String artworkName;

    /**
     * 图片id
     */
    @NotNull(message = "图片id不能为空")
    private Long imgId;

    /**
     * 图片名称
     */
    @NotBlank(message = "图片名称不能为空")
    private String imgName;

    /**
     * 图片地址
     */
    @NotBlank(message = "图片地址不能为空")
    private String imgUrl;

    /**
     * 文件id
     */
    @NotNull(message = "文件id不能为空")
    private Long fileId;

    /**
     * 文件名称
     */
    @NotBlank(message = "文件名称不能为空")
    private String fileName;

    /**
     * 文件地址
     */
    @NotBlank(message = "文件地址不能为空")
    private String fileUrl;

}
