package com.sd.business.entity.purchase.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 采购合同bom
 * </p>
 *
 * @author
 * @since 2023-08-07
 */
@Getter
@Setter
@TableName("purchase_bom")
public class PurchaseBom extends BasePo {

    /**
     * 采购合同id
     */
    private Long purchaseId;

    /**
     * 申购单bom id
     */
    private Long applyBuyBomId;

    /**
     * bom规格id
     */
    private Long bomSpecId;

    /**
     * 含税单价
     */
    private BigDecimal unitPrice;

    /**
     * 税率
     */
    private BigDecimal taxRate;

    /**
     * 采购数量
     */
    private BigDecimal purchaseQuantity;

    /**
     * 到货数量
     */
    private BigDecimal arrivalQuantity;

    /**
     * 退货数量
     */
    private BigDecimal returnQuantity;

    /**
     * 已付金额
     */
    private BigDecimal paidAmount;

    private String oldId;

}
