package com.sd.business.mapper.purchase;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.purchase.po.Purchase;
import com.sd.business.entity.purchase.vo.PurchaseVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 采购合同 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-07-03
 */
public interface PurchaseMapper extends BaseMapper<Purchase> {

    /**
     * 采购合同分页
     */
    Page<PurchaseVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Purchase> wrapper);

    /**
     * 获取入库未完成的采购合同
     * @param wrapper
     * @return
     */
    List<PurchaseVo> getPurchaseInStorageList(@Param("ew") IWrapper<Purchase> wrapper);
}
