package com.sd.business.mapper.sku;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.sku.po.Sku;
import com.sd.business.entity.sku.vo.ReplacePackagingMaterialVo;
import com.sd.business.entity.sku.vo.ReplacePrincipalMaterialVo;
import com.sd.business.entity.sku.vo.SkuVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * sku Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-07-03
 */
public interface SkuMapper extends BaseMapper<Sku> {

    /**
     * sku分页
     */
    Page<SkuVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Sku> wrapper);

    Page<ReplacePrincipalMaterialVo> getReplacePrincipalMaterialPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Object> wrapper);

    List<Long> selectReplaceSkuSpecIdList(@Param("ew") IWrapper<Object> wrapper);

    Page<ReplacePackagingMaterialVo> getReplacePackagingMaterialPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Object> wrapper);

    List<ReplacePackagingMaterialVo> getReplacePackagingMaterialList(@Param("ew") IWrapper<Object> wrapper);

}
