package com.sd.business.service.in.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.in.dto.InOutStorageDetailsDto;
import com.sd.business.entity.in.dto.InOutStorageDetailsSelectDto;
import com.sd.business.entity.in.po.InOutStorageDetails;
import com.sd.business.entity.in.vo.InOutStorageDetailsVo;
import com.sd.business.mapper.in.InOutStorageDetailsMapper;
import com.sd.business.service.in.InOutStorageDetailsService;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 出入库详情表 服务实现类
 * </p>
 *
 * @author dk
 * @since 2023-07-26
 */
@Service
public class InOutStorageDetailsServiceImpl extends ServiceImpl<InOutStorageDetailsMapper, InOutStorageDetails> implements InOutStorageDetailsService {

    @Override
    public Page<InOutStorageDetailsVo> getPage(InOutStorageDetailsSelectDto dto) {
        IWrapper<InOutStorageDetails> wrapper = getWrapper();
        wrapper.orderByDesc("iosd", InOutStorageDetails::getId);
        return this.baseMapper.getPage(dto.getPage(), wrapper);
    }

    @Override
    public InOutStorageDetailsVo detail(Long id) {
        InOutStorageDetails InOutStorageDetails = this.getById(id);
        return BeanUtil.toBean(InOutStorageDetails, InOutStorageDetailsVo.class);
    }

    @Override
    public void add(InOutStorageDetailsDto inOutStorageDetailsDto) {
        this.save(inOutStorageDetailsDto);
    }

    @Override
    public void edit(InOutStorageDetailsDto inOutStorageDetailsDto) {
        this.updateById(inOutStorageDetailsDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
