package com.sd.business.service.production;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.production.dto.StockPreparationDto;
import com.sd.business.entity.production.vo.OutBomVo;
import com.sd.business.entity.production.vo.PackageBomVo;
import com.sd.business.entity.production.vo.StockPreparationVo;
import com.sd.business.entity.production.vo.UncompletedVo;

import java.util.List;

public interface StockPreparationService {

    /**
     * 待备料列表
     */
    List<UncompletedVo> uncompletedList(StockPreparationDto dto);

    /**
     * 已备料分页
     */
    Page<StockPreparationVo> completedPage(StockPreparationDto dto);

    /**
     * 提交备料
     */
    void submit(StockPreparationDto dto);

    /**
     * 获取包材列表
     */
    List<PackageBomVo> getPackageBomList(List<Long> orderSkuIdList);

    /**
     * 待出库列表
     */
    List<OutBomVo> outBomList(StockPreparationDto dto);

}
