package com.sd.business.service.sku;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.sku.dto.*;
import com.sd.business.entity.sku.po.Sku;
import com.sd.business.entity.sku.vo.ReplacePackagingMaterialVo;
import com.sd.business.entity.sku.vo.ReplacePrincipalMaterialVo;
import com.sd.business.entity.sku.vo.SkuVo;


/**
 * <p>
 * sku 服务类
 * </p>
 *
 * @author
 * @since 2023-07-03
 */
public interface SkuService extends BaseService<Sku> {

    /**
     * sku分页
     */
    Page<SkuVo> getPage(SkuSelectDto dto);

    /**
     * sku明细
     */
    SkuVo detail(Long id);

    /**
     * sku新增
     */
    void add(SkuDto skuDto);

    /**
     * sku编辑
     */
    void edit(SkuDto skuDto);

    /**
     * sku删除
     */
    void delete(Long id);

    /**
     * 获取可替换主材列表
     */
    Page<ReplacePrincipalMaterialVo> getReplacePrincipalMaterialPage(GetReplaceMaterialListDto dto);

    /**
     * 替换主材
     */
    void replacePrincipalMaterial(ReplaceMaterialDto dto);

    /**
     * 获取可替换包材列表
     */
    Page<ReplacePackagingMaterialVo> getReplacePackagingMaterialPage(GetReplaceMaterialListDto dto);

    /**
     * 替换包材
     */
    void replacePackagingMaterial(ReplacePackagingMaterialDto dto);

}
