package com.sd.business.service.sku.impl;

import cn.hutool.core.util.ObjectUtil;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.TreeUtil;
import com.sd.business.entity.sku.dto.SkuClassifyDto;
import com.sd.business.entity.sku.po.SkuClassify;
import com.sd.business.mapper.sku.SkuClassifyMapper;
import com.sd.business.service.sku.SkuClassifyService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * sku分类 服务实现类
 * </p>
 *
 * @author
 * @since 2023-07-03
 */
@Service
public class SkuClassifyServiceImpl extends ServiceImpl<SkuClassifyMapper, SkuClassify> implements SkuClassifyService {

    @Override
    public List<JSONObject> tree(SkuClassifyDto dto) {
        List<SkuClassify> list = list(q -> q
                .like(ObjectUtil.isNotEmpty(dto.getName()), SkuClassify::getName, dto.getName())
                .orderByAsc(SkuClassify::getSort)
        );
        return TreeUtil.buildTreeObj(list);
    }

}
