package com.sd.business.service.supplier.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.supplier.dto.SupplierDto;
import com.sd.business.entity.supplier.dto.SupplierSelectDto;
import com.sd.business.entity.supplier.po.Supplier;
import com.sd.business.entity.supplier.vo.SupplierVo;
import com.sd.business.mapper.supplier.SupplierMapper;
import com.sd.business.service.supplier.SupplierService;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 供应商 服务实现类
 * </p>
 *
 * @author
 * @since 2023-07-01
 */
@Service
public class SupplierServiceImpl extends ServiceImpl<SupplierMapper, Supplier> implements SupplierService {

    @Override
    public Page<SupplierVo> getPage(SupplierSelectDto dto) {
        IWrapper<Supplier> wrapper = getWrapper();
        wrapper.orderByDesc("s", Supplier::getId);
        wrapper.like("s", Supplier::getName, dto.getName());

        return this.baseMapper.getPage(dto.getPage(), wrapper);
    }

    @Override
    public SupplierVo detail(Long id) {
        Supplier Supplier = this.getById(id);
        SupplierVo result = BeanUtil.toBean(Supplier, SupplierVo.class);
        return result;
    }

    @Override
    public void add(SupplierDto supplierDto) {
        this.save(supplierDto);
    }

    @Override
    public void edit(SupplierDto supplierDto) {
        this.updateById(supplierDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
