import cn.hutool.core.bean.BeanUtil;
import com.baomidou.dynamic.datasource.DynamicRoutingDataSource;
import com.baomidou.dynamic.datasource.annotation.DSTransactional;
import com.sd.SdApplication;
import com.sd.business.entity.apply.dto.ApplyBuyBomDto;
import com.sd.business.entity.apply.dto.ApplyBuyDto;
import com.sd.business.entity.apply.po.ApplyBuy;
import com.sd.business.entity.bom.po.BomSpec;
import com.sd.business.service.apply.ApplyBuyBomService;
import com.sd.business.service.apply.ApplyBuyService;
import com.sd.business.service.bom.BomSpecService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.test.context.junit4.SpringRunner;

import javax.sql.DataSource;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * 同步申购表
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = SdApplication.class, webEnvironment = SpringBootTest.WebEnvironment.DEFINED_PORT)
public class A5_SyncApplyBuyTest {

    @Autowired
    private ApplyBuyService applyBuyService;

    @Autowired
    private ApplyBuyBomService applyBuyBomService;

    @Autowired
    private BomSpecService bomSpecService;

    @Autowired
    private DataSource dataSource;

    @DSTransactional
    @Test
    public void test() {
        DynamicRoutingDataSource dynamicRoutingDataSource = (DynamicRoutingDataSource) dataSource;
        DataSource sdDataSource = dynamicRoutingDataSource.getDataSource("shengde");

        String sql = "SELECT\n" +
                "\t id oldId,\n" +
                "\t code,\n" +
                "\t subscriber_name applyName,\n" +
                "\t subscription_time applyTime,\n" +
                "\t subscription_remarks remark,\n" +
                "\t IF(status = '30','2','4') flowStatus,\n" +
                "\t create_time createTime,\n" +
                "\t update_time updateTime\n" +
                "\t\n" +
                "FROM\n" +
                "\t t_sd_subscriber" +
                "\t WHERE `status` in ('30','40')";

        List<Map<String, Object>> list = new JdbcTemplate(sdDataSource).queryForList(sql);

        List<ApplyBuyDto> applyBuyDtoList = BeanUtil.copyToList(list, ApplyBuyDto.class);

        for (ApplyBuyDto applyBuyDto : applyBuyDtoList) {
            applyBuyService.save(applyBuyDto);
        }

        List<ApplyBuy> buyList = applyBuyService.list(q -> q.isNotNull(ApplyBuy::getOldId));
        for (ApplyBuy applyBuy : buyList) {
            String sql2 = "SELECT\n" +
                    "\t id oldId,\n" +
                    "\t bom_color_id bomSpecId,\n" +
                    "\t "+ applyBuy.getId() + " applyBuyId ,\n" +
                    "\t quantity,\n" +
                    "\t create_time createTime,\n" +
                    "\t update_time updateTime\n" +
                    "\t\n" +
                    "FROM\n" +
                    "\t t_sd_subscriber_bom" +
                    "\t WHERE subscriber_id = "  + "'" + applyBuy.getOldId() + "'";
            List<Map<String, Object>> subscriberBomList = new JdbcTemplate(sdDataSource).queryForList(sql2);
            List<Map<String, Object>> bomList = subscriberBomList.stream().peek(p -> {
                String bomColorId = p.get("bomSpecId").toString();
                BomSpec bomSpec = bomSpecService.getOne(q -> q.eq(BomSpec::getOldId, bomColorId));
                p.put("bomSpecId", bomSpec.getId());
            }).collect(Collectors.toList());

            List<ApplyBuyBomDto> applyBuyBomDtoList = BeanUtil.copyToList(bomList, ApplyBuyBomDto.class);

            for (ApplyBuyBomDto applyBuyBomDto : applyBuyBomDtoList) {
                applyBuyBomService.save(applyBuyBomDto);
            }
        }
    }


}
