import cn.hutool.core.bean.BeanUtil;
import com.baomidou.dynamic.datasource.DynamicRoutingDataSource;
import com.baomidou.dynamic.datasource.annotation.DSTransactional;
import com.sd.SdApplication;
import com.sd.business.entity.supplier.dto.SupplierDto;
import com.sd.business.service.supplier.SupplierService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.test.context.junit4.SpringRunner;

import javax.sql.DataSource;
import java.util.List;
import java.util.Map;

/**
 * 同步供应商表
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = SdApplication.class, webEnvironment = SpringBootTest.WebEnvironment.DEFINED_PORT)
public class A6_SyncSupplierTest {

    @Autowired
    private SupplierService supplierService;

    @Autowired
    private DataSource dataSource;

    @DSTransactional
    @Test
    public void test() {
        DynamicRoutingDataSource dynamicRoutingDataSource = (DynamicRoutingDataSource) dataSource;
        DataSource sdDataSource = dynamicRoutingDataSource.getDataSource("shengde");

        String sql = "SELECT\n" +
                "\t id oldId,\n" +
                "\t name,\n" +
                "\t phone companyTelephone,\n" +
                "\t accounting_period paymentPeriod,\n" +
                "\t province,\n" +
                "\t city,\n" +
                "\t address detailedAddress,\n" +
                "\t duty_paragraph dutyNumber,\n" +
                "\t name_one  contact_person1,\n" +
                "\t phone_one contact_number1,\n" +
                "\t mailbox_one  contact_mailbox1,\n" +
                "\t name_two  contact_person2,\n" +
                "\t phone_two  contact_number2,\n" +
                "\t mailbox_two  contact_mailbox2,\n" +
                "\t name_three  contact_person3,\n" +
                "\t phone_three  contact_number3,\n" +
                "\t mailbox_three  contact_mailbox3,\n" +
                "\t bank,\n" +
                "\t account_name bankAccountName,\n" +
                "\t account_number bankAccountNumber,\n" +
                "\t create_time createTime,\n" +
                "\t update_time updateTime\n" +
                "\t\n" +
                "FROM\n" +
                "\t t_pro_supplier";

        List<Map<String, Object>> list = new JdbcTemplate(sdDataSource).queryForList(sql);

        List<SupplierDto> supplierDtoList = BeanUtil.copyToList(list, SupplierDto.class);

        for (SupplierDto supplierDto : supplierDtoList) {
            supplierService.save(supplierDto);
        }
    }
}
