import cn.hutool.core.bean.BeanUtil;
import com.baomidou.dynamic.datasource.DynamicRoutingDataSource;
import com.baomidou.dynamic.datasource.annotation.DSTransactional;
import com.sd.SdApplication;
import com.sd.business.entity.contract.dto.ContractTemplateDto;
import com.sd.business.service.contract.ContractTemplateService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.test.context.junit4.SpringRunner;

import javax.sql.DataSource;
import java.util.List;
import java.util.Map;

/**
 * 同步合同模板表
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = SdApplication.class, webEnvironment = SpringBootTest.WebEnvironment.DEFINED_PORT)
public class A7_SyncContractTempTest {

    @Autowired
    private ContractTemplateService contractTemplateService;

    @Autowired
    private DataSource dataSource;

    @DSTransactional
    @Test
    public void test() {
        DynamicRoutingDataSource dynamicRoutingDataSource = (DynamicRoutingDataSource) dataSource;
        DataSource sdDataSource = dynamicRoutingDataSource.getDataSource("shengde");

        String sql = "SELECT\n" +
                "\t id oldId,\n" +
                "\t template_name name,\n" +
                "\t content,\n" +
                "\t create_time createTime,\n" +
                "\t update_time updateTime\n" +
                "\t\n" +
                "FROM\n" +
                "\t t_erp_contract_template";

        List<Map<String, Object>> list = new JdbcTemplate(sdDataSource).queryForList(sql);

        List<ContractTemplateDto> contractTemplateDtoList = BeanUtil.copyToList(list, ContractTemplateDto.class);

        for (ContractTemplateDto contractTemplateDto : contractTemplateDtoList) {
            contractTemplateService.save(contractTemplateDto);
        }
    }
}
