import cn.hutool.core.util.StrUtil;
import com.baomidou.dynamic.datasource.annotation.DSTransactional;
import com.ruoyi.common.core.domain.BaseIdPo;
import com.sd.SdApplication;
import com.sd.business.entity.bom.po.BomSpec;
import com.sd.business.entity.in.po.InOutStorageDetails;
import com.sd.business.entity.inventory.po.Inventory;
import com.sd.business.service.bom.BomSpecService;
import com.sd.business.service.in.InOutStorageDetailsService;
import com.sd.business.service.inventory.InventoryService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.math.BigDecimal;
import java.util.Arrays;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

@RunWith(SpringRunner.class)
@SpringBootTest(classes = SdApplication.class, webEnvironment = SpringBootTest.WebEnvironment.DEFINED_PORT)
public class C2_SyncInventoryTest {


    @Autowired
    private BomSpecService bomSpecService;

    @Autowired
    private InventoryService inventoryService;

    @Autowired
    private InOutStorageDetailsService inOutStorageDetailsService;

    /**
     * string修改库存
     */
    @DSTransactional
    @Test
    public void test() {

        String a = "204010100175 \t2\n" +
                "204010100176 \t\n" +
                "204010100184\t69\n" +
                "204010100185\t54\n" +
                "204010100186\t9\n" +
                "204010100187\t55\n" +
                "204010100189\t48\n" +
                "204010100190\t93\n" +
                "204010100191\t120\n" +
                "204010100192\t152\n" +
                "204010100193\t107\n" +
                "204010100218\t1237\n" +
                "204010100226\t51\n" +
                "204010100251\t13\n" +
                "204010100252\t9\n" +
                "204010100253\t62\n" +
                "204010100254\t11\n" +
                "204010100255\t52\n" +
                "204010100318\t\n" +
                "204010100319\t\n" +
                "204010100320\t30\n" +
                "204010100339\t4\n" +
                "204010100344\t74\n" +
                "204010100347\t204\n" +
                "204010100353\t270\n" +
                "204010100402\t349\n" +
                "204010100409\t333\n" +
                "204010100410\t489\n" +
                "204010100411\t561\n" +
                "204010300025\t422\n" +
                "204010300026\t\n" +
                "204010300027\t\n" +
                "204010300028\t\n" +
                "204010300029\t\n" +
                "204010300030\t560\n" +
                "204010300031\t156\n" +
                "204010300032\t856\n" +
                "204010300058\t753\n" +
                "204010300059\t269\n" +
                "204010300061\t437\n" +
                "204010300062\t503\n" +
                "204010300063\t439\n" +
                "204010300064\t1050\n" +
                "204010300067\t\n" +
                "204010300068\t539\n" +
                "204010300069\t279\n" +
                "204010400031\t67\n" +
                "204010400032\t169\n" +
                "204010400033\t150\n" +
                "204010400034\t49\n" +
                "204010400035\t137\n" +
                "204010400078\t\n" +
                "204010400089\t50\n" +
                "204010400090\t125\n" +
                "204010400092\t237\n" +
                "204010400104\t19\n" +
                "204010400111\t1\n" +
                "204010400120\t45\n" +
                "204010400121\t102\n" +
                "204010400124\t32\n" +
                "204010400125\t31\n" +
                "204010400126\t3\n" +
                "204010400127\t17\n" +
                "204010400192\t2288\n" +
                "204010400193\t378\n" +
                "204010400194\t1487\n" +
                "204010400195\t2627\n" +
                "204010400196\t3860\n" +
                "204010400197\t1974\n" +
                "204010400198\t177\n" +
                "204010400199\t261\n" +
                "204010400200\t415\n" +
                "204010400201\t670\n" +
                "204010400202\t116\n" +
                "204010400203\t700\n" +
                "204010400204\t222\n" +
                "204010400205\t1502\n" +
                "204010400206\t683\n" +
                "204010400207\t758\n" +
                "204010400208\t369\n" +
                "204010400209\t484\n" +
                "204010400210\t639\n" +
                "204010400211\t1674\n" +
                "204010400212\t458\n" +
                "204010400227\t585\n" +
                "204010400228\t256\n" +
                "204010400234\t97\n" +
                "204010400250\t298\n" +
                "204012300023\t210\n" +
                "204012300024\t70\n" +
                "204012300025\t239\n" +
                "204012300027\t285\n" +
                "204012300028\t51\n" +
                "204060200002\t3\n" +
                "2042103013\t0\n" +
                "2042103022\t159\n" +
                "2042103024\t104\n" +
                "2042103025\t34\n" +
                "2080101056\t176\n" +
                "2080101057\t324\n" +
                "2080101058\t669\n" +
                "2080101059\t890\n" +
                "2080101061\t232\n" +
                "2080101062\t1061\n" +
                "2080101063\t451\n" +
                "2080101065\t34\n" +
                "2080101066\t694\n" +
                "2080101067\t446\n" +
                "2080101068\t695\n" +
                "2080101069\t24\n" +
                "2080101070\t14\n" +
                "2080101072\t505\n" +
                "2080101082\t584\n" +
                "2080101087\t421\n" +
                "2080101089\t79\n" +
                "2080101090\t872\n" +
                "204010100243 \t7\n" +
                "204010100239 \t3\n";

        List<List<String>> list = Arrays.stream(a.split("\n"))
                .map(item -> Arrays.stream(item.split("\t")).filter(StrUtil::isNotBlank).collect(Collectors.toList()))
                .collect(Collectors.toList());

        Map<String, Long> bomSpecMap = bomSpecService.mapKV(BomSpec::getCode, BaseIdPo::getId, null);


        for (List<String> data : list) {

            String code = data.get(0);
            String quantity = data.size() == 1 ? "0" : data.get(1);

            Long bomSpecId = bomSpecMap.get(code);
            if (bomSpecId == null) {
                System.err.println(code + " 为空");
            }

            boolean update = inventoryService.update(q -> q
                    .eq(Inventory::getBomSpecId, bomSpecId)
                    .eq(Inventory::getWarehouseId, 1684037244354052098L)
                    .eq(Inventory::getDepartmentId, 0L)
                    .set(Inventory::getQuantity, quantity)
            );
            if (!update) {
                Inventory inventory = new Inventory();
                inventory.setBomSpecId(bomSpecId);
                inventory.setWarehouseId(1684037244354052098L);
                inventory.setDepartmentId(0L);
                inventory.setQuantity(new BigDecimal(quantity));
                inventory.setBalanceUnitPrice(BigDecimal.ZERO);
                inventoryService.save(inventory);
                System.err.println(code + " 0库存");
            }

            boolean update1 = inOutStorageDetailsService.update(q -> q
                    .eq(InOutStorageDetails::getBomSpecId, bomSpecId)
                    .eq(InOutStorageDetails::getWarehouseId, 1684037244354052098L)
                    .eq(InOutStorageDetails::getDepartmentId, 0L)
                    .set(InOutStorageDetails::getQuantity, quantity)
            );
            if (!update1) {
                System.err.println(code + " 0结存");
                InOutStorageDetails inOutStorageDetails = new InOutStorageDetails();
                inOutStorageDetails.setBomSpecId(bomSpecId);
                inOutStorageDetails.setWarehouseId(1684037244354052098L);
                inOutStorageDetails.setDepartmentId(0L);
                inOutStorageDetails.setQuantity(new BigDecimal(quantity));
                inOutStorageDetails.setInUnitPrice(BigDecimal.ZERO);
                inOutStorageDetailsService.save(inOutStorageDetails);
            }

        }


    }


}
